## org.h2.store.fs
Class FileSystemDiskNioMapped

    java.lang.Object
      org.h2.store.fs.FileSystem
          org.h2.store.fs.FileSystemDisk
              org.h2.store.fs.FileSystemDiskNio
                  org.h2.store.fs.FileSystemDiskNioMapped

    public class FileSystemDiskNioMapped

extends FileSystemDiskNio

This file system stores files on disk and uses java.nio to access the files. This class used memory mapped files.

Field Summary

Fields inherited from class org.h2.store.fs.FileSystem
`PREFIX_MEMORY, PREFIX_MEMORY_LZF, PREFIX_NIO, PREFIX_NIO_MAPPED, PREFIX_SPLIT, PREFIX_ZIP`

Constructor Summary
`FileSystemDiskNioMapped()`

Method Summary
`static FileSystemDisk` `getInstance()`
`protected java.lang.String` `getPrefix()` Get the prefix for this file system.
`protected FileObject` `open(java.lang.String fileName, java.lang.String mode)` Try to open a file with this name and mode.

Methods inherited from class org.h2.store.fs.FileSystemDiskNio
`createTempFile, getAbsolutePath, getParent, listFiles, normalize, openFileInputStream, openFileObject, translateFileName`

Methods inherited from class org.h2.store.fs.FileSystemDisk
`canWrite, copy, createDirs, createNewFile, delete, deleteRecursive, exists, expandUserHomeDirectory, fileStartsWith, freeMemoryAndFinalize, getFileName, getLastModified, isAbsolute, isDirectory, isReadOnly, length, openFileOutputStream, rename, trace, tryDelete`

Methods inherited from class org.h2.store.fs.FileSystem
`accepts, getInstance, mkdirs, register, unregister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSystemDiskNioMapped

    public FileSystemDiskNioMapped()

Method Detail

### getInstance

    public static FileSystemDisk getInstance()

### getPrefix

    protected java.lang.String getPrefix()

  Description copied from class: `FileSystemDiskNio`
  Get the prefix for this file system.

  Overrides:
    `getPrefix` in class `FileSystemDiskNio`
  Returns:
    the prefix

### open

    protected FileObject open(java.lang.String fileName,
                              java.lang.String mode)
                       throws java.io.IOException

  Description copied from class: `FileSystemDiskNio`
  Try to open a file with this name and mode.

  Overrides:
    `open` in class `FileSystemDiskNio`
  Parameters:
    `fileName` - the file name
    `mode` - the open mode
  Returns:
    the file object
  Throws:
    `java.io.IOException` - if opening fails